Bug 359924 - Some settings are only applied on next L&F change (with previous data) in runtime
Summary: Some settings are only applied on next L&F change (with previous data) in run...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Global Theme packages (show other bugs)
Version: 5.5.4
Platform: Other Linux
: NOR major
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-29 13:14 UTC by Friedrich W. H. Kossebau
Modified: 2016-04-22 17:48 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Friedrich W. H. Kossebau 2016-02-29 13:14:49 UTC
If one switches between breeze-dark and breeze L&F themes, then the updates of some of the affected settings only happen delayed on the next theme switch, as if they are in a one-step-deep pipe.

Example:
PlasmaCore.FrameSvgItem items with imagePath "widgets/frame", like used in the calculator applet, only pick up the currently set background color on the next L&F switch.
As the text on the other hand properly picks up new theme color, with switch between bright & dark this results in unreadable/unusable look.

After a restart of the workspace it seems all settings are properly used.
So possibly some change signalling issue in the running system?

Reproducible: Always
Comment 1 David Rosca 2016-02-29 22:16:19 UTC
Can you please test https://git.reviewboard.kde.org/r/127226/ ?
Comment 2 David Rosca 2016-02-29 23:10:45 UTC
Git commit 60af310cfc456558648c9af73d35c8a7dbee3011 by David Rosca.
Committed on 29/02/2016 at 23:06.
Pushed by drosca into branch 'master'.

Theme: Discard pixmap cache when changing theme

Changing theme also changes color scheme making the pixmap cache
invalid for monochrome icons.
REVIEW: 127226

M  +1    -1    src/plasma/private/theme_p.cpp

http://commits.kde.org/plasma-framework/60af310cfc456558648c9af73d35c8a7dbee3011
Comment 3 David Rosca 2016-03-01 12:04:34 UTC
Git commit ec5e86a51764e2540ac3d01e589cceafe2c7d5a1 by David Rosca.
Committed on 01/03/2016 at 12:04.
Pushed by drosca into branch 'master'.

Emit PaletteChanged when setting colors from look and feel package

Summary:
Fixes updating palette in running applications.

Reviewers: #plasma, mart

Reviewed By: mart

Subscribers: graesslin, plasma-devel

Projects: #plasma

Differential Revision: https://phabricator.kde.org/D1045

M  +2    -1    kcms/lookandfeel/kcm.cpp

http://commits.kde.org/plasma-desktop/ec5e86a51764e2540ac3d01e589cceafe2c7d5a1